Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.was.operation
Class WASGetCapabilities

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.getcapabilities.GetCapabilities
              org.deegree.ogcwebservices.wass.was.operation.WASGetCapabilities

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class WASGetCapabilities

extends GetCapabilities

This is the bean class for the WAS GetCapabilities operation.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`WASGetCapabilities(String id, Map<String,String> keyValues)`
`WASGetCapabilities(String id, String version, String updateSequence, String[] acceptVersions, String[] sections, String[] acceptFormats, Map<String,String> vendoreSpec)`

Method Summary
`static OGCWebServiceRequest` | `create(String id, Element documentElement)`
`static OGCWebServiceRequest` | `create(String id, Map<String,String> kvp)`
`String` | `getServiceName()`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.GetCapabilities
`getAcceptFormats, getAcceptVersions, getSections, getUpdateSequence`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WASGetCapabilities

    public WASGetCapabilities(String id,
                              String version,
                              String updateSequence,
                              String[] acceptVersions,
                              String[] sections,
                              String[] acceptFormats,
                              Map<String,String> vendoreSpec)

Parameters:
  `id` - the request id
  `version` -
  `updateSequence` -
  `acceptVersions` -
  `sections` -
  `acceptFormats` -
  `vendoreSpec` -

### WASGetCapabilities

    public WASGetCapabilities(String id,
                              Map<String,String> keyValues)

Parameters:
  `id` - the request id
  `keyValues` -

Method Detail

### getServiceName

    public String getServiceName()

  Returns:
    the name of the service that is targeted by the request

### create

    public static OGCWebServiceRequest create(String id,
                                              Element documentElement)
                                       throws OGCWebServiceException

  Parameters:
    `id` -
    `documentElement` -
  Returns:
    a new instance of this class
  Throws:
    `OGCWebServiceException`

### create

    public static OGCWebServiceRequest create(String id,
                                              Map<String,String> kvp)

  Parameters:
    `id` -
    `kvp` -
  Returns:
    a new instance of this class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org